- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TApplicationException
TConfigurationException
TDbConnectionException
TDbException
TErrorHandler
TException
THttpException
TInvalidDataTypeException
TInvalidDataValueException
TInvalidOperationException
TIOException
TNotSupportedException
TPhpErrorException
TSystemException
TTemplateException

Keyword

# Class TTemplateException

    Exception
       |
       --TException
          |
          --TSystemException
             |
             --TConfigurationException
                |
                --TTemplateException

TTemplateException class

TTemplateException represents an exception caused by invalid template syntax.

Since: 3.1
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
integer | getLineNumber ()
string | getTemplateFile ()
string | getTemplateSource ()
void | setLineNumber ( integer $value)
void | setTemplateFile ( string $value)
void | setTemplateSource ( string $value)

Methods Inherited From TException
TException::getErrorCode(), TException::getErrorMessage(), TException::getErrorMessageFile(), TException::setErrorCode(), TException::setErrorMessage(), TException::translateErrorMessage()

Method Details

## getLineNumber

public integer getLineNumber | ()

Output
integer | the line number at which the template has error
Exception

## getTemplateFile

public string getTemplateFile | ()

Output
string | the template file that causes the exception. This could be empty if the template is an embedded template. In this case, use TemplateSource to obtain the actual template content.
Exception

## getTemplateSource

public string getTemplateSource | ()

Output
string | the template source code that causes the exception. This is empty if TemplateFile is not empty.
Exception

## setLineNumber

public void setLineNumber | (integer $value )

Input
integer | $value | the line number at which the template has error
Output
Exception

## setTemplateFile

public void setTemplateFile | (string $value )

Input
string | $value | the template file that causes the exception
Output
Exception

## setTemplateSource

public void setTemplateSource | (string $value )

Input
string | $value | the template source code that causes the exception
Output
Exception